From e420957ebb3a6df9e6d678a3424bb739b1eae5ef Mon Sep 17 00:00:00 2001
From: Jacob Appelbaum <jacob@appelbaum.net>
Date: Thu, 24 Jul 2014 01:10:45 +0000
Subject: [PATCH] Fix leaks identified in vpwns paper

---
 config/chroot_local-includes/etc/ferm/ferm.conf |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

diff --git a/config/chroot_local-includes/etc/ferm/ferm.conf b/config/chroot_local-includes/etc/ferm/ferm.conf
index 54ab253..56bb20a 100644
--- a/config/chroot_local-includes/etc/ferm/ferm.conf
+++ b/config/chroot_local-includes/etc/ferm/ferm.conf
@@ -103,15 +103,6 @@ domain ip {
                 proto udp dport domain ACCEPT;
             }
 
-            # Local network connections should not go through Tor but DNS shall be
-            # rejected.
-            # (Note that we exclude the VirtualAddrNetwork used for .onion:s here.)
-            daddr (10.0.0.0/8 172.16.0.0/12 192.168.0.0/16) @subchain "lan" {
-                proto tcp dport domain REJECT;
-                proto udp dport domain REJECT;
-                ACCEPT;
-            }
-
             # Tor is allowed to do anything it wants to.
             mod owner uid-owner debian-tor ACCEPT;
 
-- 
1.7.2.5

